# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]
## [0.10.1] - 2021-09-03
### Added
- rexml gem as a dependency (because of XML requests)
### Changed
- .gitlab-ci.yml with Docker and ruby matrix support

## [0.10.0] - 2021-09-01
### Added
- support ruby3.0
### Removed
- support ruby2.5

## [0.9.1] - 2021-08-24
### Fixed
- adjusted EWA schema

## [0.9.0] - 2021-06-08
### Added
- CustomField resource
- rubocop linter
- improve gemspec metadata
### Changed
- dummy upgrade to rails 6
- update dev dependencies

## [0.8.2] - 2021-03-05
### Added
- ruby 3 compatibility

## [0.8.1] - 2020-06-08
### Fixed
- Retrieve (Easy)Redmine total entities from response if headers missing
- Validation error messages parser from XML

## [0.8.0] - 2020-04-28
### Added
- TimeEntry
- EasyAttendance
## [0.7.5] - 2020-03-06
### Added
- EasyServer `status` alias for `server_status`
## [0.7.5] - 2020-01-17
### Added
- aasm_event into EasyWebApplication scheme
- notes into EasyWebApplication scheme
## [0.7.4] - 2019-09-02
### Added
- Easy Web Application add belongs_to Issue
## [0.7.2] - 2019-08-29
### Added
- Easy Web Hook model
## [0.7.1] - 2019-07-11
### Added
- configuration from Oauth2 token
### Fixed
- api_key is changed to class_attribute
## [0.6.3] - 2019-07-08
### Fixed
- cached headers
## [0.6.2] - 2019-05-14
### Added
- alias url in server resource
## [0.6.1] - 2019-04-03
### Added
- this file
- User resource in Redmine
- 100% code coverage :)
### Changed
- README
