require "easy/resources/version"

RSpec.describe Easy::Resources do
  it 'has a version number' do
    expect(Easy::Resources::VERSION).not_to be nil
  end

  describe '.configure' do
    context "Easy::Resources::Redmine::RedmineBase" do
      it "Easy::Resources::Redmine::RedmineBase" do
        expect(Easy::Resources::Redmine::RedmineBase).to receive(:api_key=).with("xx1")
        expect(Easy::Resources::Redmine::RedmineBase).to receive(:site=).with("https://test.dummy")
        Easy::Resources::Redmine::RedmineBase.configure api_key: "xx1", url: "https://test.dummy"
      end
    end
  end
end
