RSpec.describe Easy::Resources::Redmine::EasyCrmCase do
  include_context "redmine active resource shares" do
    let(:entity_name) { 'easy_crm_case' }
  end

  it 'get crm case' do
    expect(find_entity.name).not_to be_empty
  end

  it 'crm case has project' do
    expect(find_entity.project).to be_a Easy::Resources::Redmine::Project
  end

  it 'crm case has customer' do
    expect(find_entity.customer).to be_a Easy::Resources::Redmine::EasyContact
  end
end
