ENV["RAILS_ENV"] = "test"
require "simplecov"
SimpleCov.start 'rails' do
  add_filter '/bin'
  add_filter '/lib/easy/resources/spec_helper'
  add_filter '/lib/easy/resources/version'
  add_filter '/spec/dummy'
  add_filter '/vendor'
end

require "bundler/setup"
require "webmock/rspec"

require_relative "../spec/dummy/config/environment"

require "rspec/rails"
require "active_resource_response/http_mock"

Dir["./spec/support/**/*.rb"].sort.each { |f| require f }

RSpec.configure do |config|
  # Disable RSpec exposing methods globally on `Module` and `main`
  config.disable_monkey_patching!

  config.expect_with :rspec do |c|
    c.syntax = :expect
  end
end
